class ChangeLicense < ActiveRecord::Migration
  def up
    remove_index :licenses, :column => [:url]
    drop_table :licenses
    create_table :licenses do |t|
      t.integer :license_group_id, :null => false, :default => 0
      t.string :name, :null => false, :limit => 50, :default => 'Default'
      t.string :caption, :null => false, :limit => 30, :default => 'no name'
      t.integer :system_picture_id, :null => false, :default => 0
      t.string :url, :null => false
      t.string :settings
      t.timestamps
    end
    add_index :licenses, [:name], :unique => true
    add_index :licenses, [:url], :unique => true
  end

  def down
    remove_index :licenses, :column => [:name]
    remove_index :licenses, :column => [:url]
    drop_table :licenses
    create_table :licenses do |t|
      t.string :name, :null => false
      t.string :url, :null => false
      t.integer :cc_by, :null => false, :default => 0
      t.integer :cc_sa, :null => false, :default => 0
      t.integer :cc_nd, :null => false, :default => 0
      t.integer :cc_nc, :null => false, :default => 0
      t.integer :no_resize, :null => false, :default => 0
      t.integer :no_flip, :null => false, :default => 0
      t.integer :no_convert, :null => false, :default => 0
      t.integer :keep_aspect_ratio, :null => false, :default => 0

      t.timestamps
    end
    add_index :licenses, [:url], :unique => true
  end
end
